Client API: Mail: Mailboxes
The 19 Client API operations for mailboxes.
Part of Mail.
Operations
Section titled OperationsList mailboxes
Section titled List mailboxesGET /api/v1/client/mail/{service_id}/mailboxes
Authentication: an access token, sent as Authorization: Bearer <token>.
Parameters
Section titled Parameters| Name | In | Type | Required |
|---|---|---|---|
service_id |
path | integer | yes |
Responses
Section titled Responses| Status | Meaning |
|---|---|
200 |
Success. |
422 |
The request is not valid. detail lists each problem. |
Create mailbox
Section titled Create mailboxPOST /api/v1/client/mail/{service_id}/mailboxes
Authentication: an access token, sent as Authorization: Bearer <token>.
Parameters
Section titled Parameters| Name | In | Type | Required |
|---|---|---|---|
service_id |
path | integer | yes |
Request body
Section titled Request bodyapplication/json (required)
| Field | Type | Required |
|---|---|---|
domain_id |
integer | yes |
local_part |
string | yes |
password |
string or null | no |
display_name |
string or null | no |
quota_bytes |
integer or null | no |
Responses
Section titled Responses| Status | Meaning |
|---|---|
201 |
Success. |
422 |
The request is not valid. detail lists each problem. |
Delete mailbox
Section titled Delete mailboxDELETE /api/v1/client/mail/{service_id}/mailboxes/{account_id}
Authentication: an access token, sent as Authorization: Bearer <token>.
Parameters
Section titled Parameters| Name | In | Type | Required |
|---|---|---|---|
account_id |
path | integer | yes |
service_id |
path | integer | yes |
Responses
Section titled Responses| Status | Meaning |
|---|---|
200 |
Success. |
422 |
The request is not valid. detail lists each problem. |
Mailbox app passwords
Section titled Mailbox app passwordsGET /api/v1/client/mail/{service_id}/mailboxes/{account_id}/app-passwords
Authentication: an access token, sent as Authorization: Bearer <token>.
Parameters
Section titled Parameters| Name | In | Type | Required |
|---|---|---|---|
account_id |
path | integer | yes |
service_id |
path | integer | yes |
Responses
Section titled Responses| Status | Meaning |
|---|---|
200 |
Success. |
422 |
The request is not valid. detail lists each problem. |
Mailbox app password create
Section titled Mailbox app password createPOST /api/v1/client/mail/{service_id}/mailboxes/{account_id}/app-passwords
Authentication: an access token, sent as Authorization: Bearer <token>.
Parameters
Section titled Parameters| Name | In | Type | Required |
|---|---|---|---|
account_id |
path | integer | yes |
service_id |
path | integer | yes |
Request body
Section titled Request bodyapplication/json (required)
| Field | Type | Required |
|---|---|---|
label |
string | no |
Responses
Section titled Responses| Status | Meaning |
|---|---|
201 |
Success. |
422 |
The request is not valid. detail lists each problem. |
Mailbox app password delete
Section titled Mailbox app password deleteDELETE /api/v1/client/mail/{service_id}/mailboxes/{account_id}/app-passwords/{credential_id}
Authentication: an access token, sent as Authorization: Bearer <token>.
Parameters
Section titled Parameters| Name | In | Type | Required |
|---|---|---|---|
account_id |
path | integer | yes |
credential_id |
path | string | yes |
service_id |
path | integer | yes |
Responses
Section titled Responses| Status | Meaning |
|---|---|
200 |
Success. |
422 |
The request is not valid. detail lists each problem. |
Mailbox enabled
Section titled Mailbox enabledPATCH /api/v1/client/mail/{service_id}/mailboxes/{account_id}/enabled
Authentication: an access token, sent as Authorization: Bearer <token>.
Parameters
Section titled Parameters| Name | In | Type | Required |
|---|---|---|---|
account_id |
path | integer | yes |
service_id |
path | integer | yes |
Request body
Section titled Request bodyapplication/json (required)
| Field | Type | Required |
|---|---|---|
enabled |
boolean | yes |
Responses
Section titled Responses| Status | Meaning |
|---|---|
200 |
Success. |
422 |
The request is not valid. detail lists each problem. |
Mailbox imports
Section titled Mailbox importsGET /api/v1/client/mail/{service_id}/mailboxes/{account_id}/imports
Authentication: an access token, sent as Authorization: Bearer <token>.
Parameters
Section titled Parameters| Name | In | Type | Required |
|---|---|---|---|
account_id |
path | integer | yes |
service_id |
path | integer | yes |
Responses
Section titled Responses| Status | Meaning |
|---|---|
200 |
Success. |
422 |
The request is not valid. detail lists each problem. |
Mailbox import start
Section titled Mailbox import startPOST /api/v1/client/mail/{service_id}/mailboxes/{account_id}/imports
Authentication: an access token, sent as Authorization: Bearer <token>.
Parameters
Section titled Parameters| Name | In | Type | Required |
|---|---|---|---|
account_id |
path | integer | yes |
service_id |
path | integer | yes |
Request body
Section titled Request bodyapplication/json (required)
| Field | Type | Required |
|---|---|---|
preset |
string | no |
host |
string or null | no |
username |
string | yes |
password |
string | yes |
folders |
array of string | no |
since |
string (date) or null | no |
until |
string (date) or null | no |
trash |
boolean | no |
spam |
boolean | no |
Responses
Section titled Responses| Status | Meaning |
|---|---|
201 |
Success. |
422 |
The request is not valid. detail lists each problem. |
Mailbox import sign in
Section titled Mailbox import sign inPOST /api/v1/client/mail/{service_id}/mailboxes/{account_id}/imports/oauth
Authentication: an access token, sent as Authorization: Bearer <token>.
Parameters
Section titled Parameters| Name | In | Type | Required |
|---|---|---|---|
account_id |
path | integer | yes |
service_id |
path | integer | yes |
Request body
Section titled Request bodyapplication/json (required)
| Field | Type | Required |
|---|---|---|
provider |
string, one of google, microsoft |
yes |
return_path |
string or null | no |
since |
string (date) or null | no |
until |
string (date) or null | no |
trash |
boolean | no |
spam |
boolean | no |
Responses
Section titled Responses| Status | Meaning |
|---|---|
200 |
Success. |
422 |
The request is not valid. detail lists each problem. |
Mailbox import upload
Section titled Mailbox import uploadPOST /api/v1/client/mail/{service_id}/mailboxes/{account_id}/imports/upload
Authentication: an access token, sent as Authorization: Bearer <token>.
Parameters
Section titled Parameters| Name | In | Type | Required |
|---|---|---|---|
account_id |
path | integer | yes |
service_id |
path | integer | yes |
Request body
Section titled Request bodymultipart/form-data (required)
| Field | Type | Required |
|---|---|---|
file |
string (binary) | yes |
kind |
string | no |
folder |
string | no |
cpanel_mailbox |
string | no |
trash |
boolean | no |
spam |
boolean | no |
Responses
Section titled Responses| Status | Meaning |
|---|---|
201 |
Success. |
422 |
The request is not valid. detail lists each problem. |
Mailbox import steer
Section titled Mailbox import steerPOST /api/v1/client/mail/{service_id}/mailboxes/{account_id}/imports/{import_id}/{action}
Authentication: an access token, sent as Authorization: Bearer <token>.
Parameters
Section titled Parameters| Name | In | Type | Required |
|---|---|---|---|
account_id |
path | integer | yes |
import_id |
path | integer | yes |
action |
path | string, one of pause, resume, cancel |
yes |
service_id |
path | integer | yes |
Responses
Section titled Responses| Status | Meaning |
|---|---|
200 |
Success. |
422 |
The request is not valid. detail lists each problem. |
Mailbox password
Section titled Mailbox passwordPOST /api/v1/client/mail/{service_id}/mailboxes/{account_id}/password
Authentication: an access token, sent as Authorization: Bearer <token>.
Parameters
Section titled Parameters| Name | In | Type | Required |
|---|---|---|---|
account_id |
path | integer | yes |
service_id |
path | integer | yes |
Request body
Section titled Request bodyapplication/json (required)
| Field | Type | Required |
|---|---|---|
password |
string or null | no |
Responses
Section titled Responses| Status | Meaning |
|---|---|
200 |
Success. |
422 |
The request is not valid. detail lists each problem. |
Mailbox quota
Section titled Mailbox quotaPATCH /api/v1/client/mail/{service_id}/mailboxes/{account_id}/quota
Authentication: an access token, sent as Authorization: Bearer <token>.
Parameters
Section titled Parameters| Name | In | Type | Required |
|---|---|---|---|
account_id |
path | integer | yes |
service_id |
path | integer | yes |
Request body
Section titled Request bodyapplication/json (required)
| Field | Type | Required |
|---|---|---|
quota_bytes |
integer | yes |
Responses
Section titled Responses| Status | Meaning |
|---|---|
200 |
Success. |
422 |
The request is not valid. detail lists each problem. |
Mailbox sessions
Section titled Mailbox sessionsGET /api/v1/client/mail/{service_id}/mailboxes/{account_id}/sessions
Authentication: an access token, sent as Authorization: Bearer <token>.
Parameters
Section titled Parameters| Name | In | Type | Required |
|---|---|---|---|
account_id |
path | integer | yes |
service_id |
path | integer | yes |
Responses
Section titled Responses| Status | Meaning |
|---|---|
200 |
Success. |
422 |
The request is not valid. detail lists each problem. |
Mailbox sessions end
Section titled Mailbox sessions endDELETE /api/v1/client/mail/{service_id}/mailboxes/{account_id}/sessions
Authentication: an access token, sent as Authorization: Bearer <token>.
Parameters
Section titled Parameters| Name | In | Type | Required |
|---|---|---|---|
account_id |
path | integer | yes |
service_id |
path | integer | yes |
Responses
Section titled Responses| Status | Meaning |
|---|---|
204 |
Success. |
422 |
The request is not valid. detail lists each problem. |
Mailbox session end
Section titled Mailbox session endDELETE /api/v1/client/mail/{service_id}/mailboxes/{account_id}/sessions/{session_id}
Authentication: an access token, sent as Authorization: Bearer <token>.
Parameters
Section titled Parameters| Name | In | Type | Required |
|---|---|---|---|
account_id |
path | integer | yes |
session_id |
path | string | yes |
service_id |
path | integer | yes |
Responses
Section titled Responses| Status | Meaning |
|---|---|
204 |
Success. |
422 |
The request is not valid. detail lists each problem. |
Mailbox totp enable
Section titled Mailbox totp enablePOST /api/v1/client/mail/{service_id}/mailboxes/{account_id}/totp
Authentication: an access token, sent as Authorization: Bearer <token>.
Parameters
Section titled Parameters| Name | In | Type | Required |
|---|---|---|---|
account_id |
path | integer | yes |
service_id |
path | integer | yes |
Responses
Section titled Responses| Status | Meaning |
|---|---|
200 |
Success. |
422 |
The request is not valid. detail lists each problem. |
Mailbox totp disable
Section titled Mailbox totp disableDELETE /api/v1/client/mail/{service_id}/mailboxes/{account_id}/totp
Authentication: an access token, sent as Authorization: Bearer <token>.
Parameters
Section titled Parameters| Name | In | Type | Required |
|---|---|---|---|
account_id |
path | integer | yes |
service_id |
path | integer | yes |
Responses
Section titled Responses| Status | Meaning |
|---|---|
200 |
Success. |
422 |
The request is not valid. detail lists each problem. |